// @ts-nocheck

export interface CircleProps {
	/**
	* 進度環尺寸
	* @default 120pxs
	*/
	size: string
	/**
	 * 百分比
	 * @default 0
	 */
	percent: number
	/**
	 *  頂端形態
	 * @default 'round' 
	 */
	lineCap: string
	/**
	 * 進度環線寬
	 * @default 6
	 */
	strokeWidth: number | string
	/**
	 * 進度環顏色
	 * @default #2db7f5
	 */
	strokeColor: string | string[]
	/**
	 * 軌道環線寬
	 * @default 6
	 */
	trailWidth: number | string
	/**
	 * 軌道環顏色
	 * @default #eaeef2
	 */
	trailColor: string
	/**
	 * 是否顯示為儀表盤
	 * @default false
	 */
	dashboard: boolean
	/**
	 * 是否為順時針
	 * @default true
	 */
	clockwise: boolean
	/**
	 * 持續時間
	 * @default 300
	 */
	duration: number
	/**
	 *  總長度
	 * @default 100
	 */
	max: number
}