// @ts-nocheck
/**
 * 檢查壹個值是否為字符串類型
 * @param str 要檢查的值
 * @returns 如果值的類型是字符串類型，則返回 true；否則返回 false
 */
// #ifndef APP-IOS || APP-ANDROID
// export const isString = (str: unknown): str is string => typeof str === 'string';
export function isString (str: unknown): str is string {
	return typeof str == 'string'
}
// #endif


// #ifdef APP-IOS || APP-ANDROID
export function isString (str: any): boolean {
	return typeof str == 'string'
}
// #endif
