export default {
	props: {
		// 標題，有值則顯示，同時會顯示關閉按鈕
		title: {
			type: String,
			default: ''
		},
		// 選項上方的描述信息
		description: {
			type: String,
			default: ''
		},
		// 數據
		actions: {
			type: Array,
			default: () => []
		},
		// 取消按鈕的文字，不為空時顯示按鈕
		cancelText: {
			type: String,
			default: ''
		},
		// 點擊某個菜單項時是否關閉彈窗
		closeOnClickAction: {
			type: Boolean,
			default: true
		},
		// 處理底部安全區（默認true）
		safeAreaInsetBottom: {
			type: Boolean,
			default: true
		},
		// 小程序的打開方式
		openType: {
			type: String,
			default: ''
		},
		// 點擊遮罩是否允許關閉 (默認true)
		closeOnClickOverlay: {
			type: Boolean,
			default: true
		},
		// 圓角值
		round: {
			type: [Boolean, String, Number],
			default: 0
		},
		...uni.$uv?.props?.actionSheet
	}
}