export default {
	props: {
		// input的label提示語
		label: {
			type: String,
			default: ''
		},
		// 綁定的值
		prop: {
			type: String,
			default: ''
		},
		// 是否顯示表單域的下劃線邊框
		borderBottom: {
			type: [Boolean],
			default: false
		},
		// label的位置，left-左邊，top-上邊
		labelPosition: {
			type: String,
			default: ''
		},
		// label的寬度，單位px
		labelWidth: {
			type: [String, Number],
			default: ''
		},
		// 右側圖標
		rightIcon: {
			type: String,
			default: ''
		},
		// 左側圖標
		leftIcon: {
			type: String,
			default: ''
		},
		// 是否顯示左邊的必填星號，只作顯示用，具體校驗必填的邏輯，請在rules中配置
		required: {
			type: Boolean,
			default: false
		},
		leftIconStyle: {
			type: [String, Object],
			default: ''
		},
		...uni.$uv?.props?.formItem
	}
}