export default {
	props: {
		// 背景顏色（默認transparent）
		bgColor: {
			type: String,
			default: 'transparent'
		},
		// 分割槽高度，單位px（默認20）
		height: {
			type: [String, Number],
			default: 20
		},
		// 與上壹個組件的距離
		marginTop: {
			type: [String, Number],
			default: 0
		},
		// 與下壹個組件的距離
		marginBottom: {
			type: [String, Number],
			default: 0
		},
		...uni.$uv?.props?.gap
	}
}