export default {
	props: {
		// 文字顏色
		color: {
			type: String,
			default: ''
		},
		// 字體大小，單位px
		fontSize: {
			type: [String, Number],
			default: 14
		},
		// 是否顯示下劃線
		underLine: {
			type: Boolean,
			default: false
		},
		// 要跳轉的鏈接
		href: {
			type: String,
			default: ''
		},
		// 小程序中復制到粘貼板的提示語
		mpTips: {
			type: String,
			default: '鏈接已復制，請在瀏覽器打開'
		},
		// 下劃線顏色
		lineColor: {
			type: String,
			default: ''
		},
		// 超鏈接的問題，不使用slot形式傳入，是因為nvue下無法修改顏色
		text: {
			type: String,
			default: ''
		},
		...uni.$uv?.props?.link
	}
}