export default {
	props: {
		// 倒計時總秒數
		seconds: {
			type: [String, Number],
			default: 60
		},
		// 尚未開始時提示
		startText: {
			type: String,
			default: '获取验证码'
		},
		// 正在倒計時中的提示
		changeText: {
			type: String,
			default: 'X秒重新獲取'
		},
		// 倒計時結束時的提示
		endText: {
			type: String,
			default: '重新获取'
		},
		// 是否在H5刷新或各端返回再進入時繼續倒計時
		keepRunning: {
			type: Boolean,
			default: false
		},
		// 為了區分多個頁面，或者壹個頁面多個倒計時組件本地存儲的繼續倒計時變了
		uniqueKey: {
			type: String,
			default: ''
		},
		...uni.$uv?.props?.code
	}
}